/* 
 * File: cdoption.h
 * Code: Ben Walding
 * Date: 1 January 1998
 *
 *
 * Protected by the GNU Public License v2.0  <distrib>/GPL.LICENSE      
 */

#ifndef _cdoption_h_
#define _cdoption_h_

#include <qtabdlg.h>
#include <qmlined.h>
#include <qlined.h>
#include <qchkbox.h>
#include <qradiobt.h>
#include <qlabel.h>


class cdOptions:public QTabDialog {
  Q_OBJECT;

public:
  cdOptions(QWidget *parent = 0, const char *name = 0, 
  			bool modal = FALSE, WFlags f = 0);
  void loadOptions();/* Loads RC file into global_options */
  void dispOptions();
  void saveOptions();/* Writes global_options into RC file */
  
  /*  ~cdOptions();*/
  
protected slots:
  void cancel();
  void apply();
  void browse_front();
  void browse_back();
  void changeLogo(bool);
  void browseLogo();
  void output_clicked(int);

signals:
  void changedOptions();
  void changedSortOrder();

private:
  QLineEdit    *cmd_lpr, *cmd_file_front, *cmd_file_back;
  QRadioButton *out_lpr, *out_file;
  QLineEdit    *ps_view;
  QLineEdit    *fig2dev;
  QLineEdit    *loc_template;
  QMultiLineEdit *workmandb; /* May not be the best method */
  QCheckBox    *intermediate;
  QCheckBox    *splash;
  QCheckBox    *lpr_split;

  QRadioButton *sortArtist, *sortTitle;

  QPushButton *b_browse_front, *b_browse_back;
  QCheckBox *cdlogo;
  QLineEdit *cdlogo_path;
  QPushButton *cdlogo_browse;
  QCheckBox *wstyle;

private:
  QWidget *page1;
  QWidget *page2;
  QWidget *page3;
  QWidget *pageInterface;
  QButtonGroup *output;
  QLabel *label_dvi;
  QLabel *label_ps;
};


/* Outside apps shouldn't edit these things */
typedef struct _Options Options;

struct _Options {
  bool out_lpr;
  bool out_file;
  bool lpr_split;
  char ps_view[128];
  char lpr_default[128];
  char file_front_default[128];
  char file_back_default[128];
  char fig2dev[128];
  char loc_template[128];
  char workmandb[128];

  bool cdlogo;
  bool splash;
  bool delete_intermediate;
  bool sortartist;
  bool motifstyle;
  char cdlogo_path[128];

};


extern Options global_options;

void read_rc(void);


#endif /* _cdoption_h_ */


